<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="q41bValoracionManagerEJB.q41bValoracionManagerBean_ndi07q_EOImpl"
>
<cluster
    clusterable="true"
    load-algorithm="random"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="obtenerListadoPerfiles(int,int,java.lang.String,java.lang.String)"
>
</method>
<method
    name="obtenerListadoPerfiles(q41bObjectValue.q41bValoracion.q41bFiltroListadoValoracionPerfil,q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent)"
>
</method>
<method
    name="obtenerListadoResultadosFinales(int,int)"
>
</method>
<method
    name="obtenerListadoFormacion(int,int,java.lang.String)"
>
</method>
<method
    name="obtenerListadoExpLaboral(int,int,java.lang.String)"
>
</method>
<method
    name="obtenerValoracionMeritos(int,int,long,java.lang.String)"
>
</method>
<method
    name="modificarValoracionMeritos(int,int,long,java.util.HashMap,java.lang.String)"
>
</method>
<method
    name="anadirValoracionMeritos(int,int,long,java.util.HashMap,java.lang.String)"
>
</method>
<method
    name="comprobarDesgloseBorrado(int,int,long,java.util.Vector)"
>
</method>
<method
    name="comprobarPuntuacionExperiencia(int,int,long,java.lang.String)"
>
</method>
<method
    name="comprobarPuntuacionTitulacion(int,int,long,java.lang.String)"
>
</method>
<method
    name="eliminarValoracionMeritos(int,int,long,java.util.Vector)"
>
</method>
<method
    name="guardarValoracionDetalleMeritos(int,int,long,q41bObjectValue.q41bValoracion.q41bDetalleMerito)"
>
</method>
<method
    name="obtenerListadoDesgloseExperiencia(int,int,long,java.lang.String)"
>
</method>
<method
    name="eliminarDesgloseMeritos(int,int,long,java.lang.String,java.lang.String)"
>
</method>
<method
    name="anadirDesgloseMeritos(int,int,long,java.lang.String,q41bObjectValue.q41bValoracion.q41bDesgloseExperiencia,java.lang.String)"
>
</method>
<method
    name="modificarDesgloseMeritos(int,int,long,java.lang.String,q41bObjectValue.q41bValoracion.q41bDesgloseExperiencia)"
>
</method>
<method
    name="obtenerIdentificador(int,int,long,java.lang.String)"
>
</method>
<method
    name="obtenerDesgloseExperiencia(int,int,long,int,java.lang.String)"
>
</method>
<method
    name="obtenerListadoDesgloseFormacion(int,int,long,java.lang.String,java.lang.String)"
>
</method>
<method
    name="anadirDesgloseFormacion(int,int,long,java.lang.String,java.lang.String,q41bObjectValue.q41bValoracion.q41bDesgloseFormacion)"
>
</method>
<method
    name="eliminarDesgloseFormacion(int,int,long,java.lang.String,java.lang.String)"
>
</method>
<method
    name="modificarDesgloseFormacion(int,int,long,java.lang.String,java.lang.String,q41bObjectValue.q41bValoracion.q41bDesgloseFormacion)"
>
</method>
<method
    name="obtenerIdentificadorFormacion(int,int,long,java.lang.String)"
>
</method>
<method
    name="obtenerDesgloseFormacion(int,int,long,int,java.lang.String,java.lang.String)"
>
</method>
<method
    name="obtenerPerfilSolicitud(int,int,long,java.lang.String,java.lang.String)"
>
</method>
<method
    name="borrarPerfil(int,int,q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,q41bObjectValue.q41bValoracion.q41bPerfilesValoracion)"
>
</method>
<method
    name="grabarPerfil(int,int,long,q41bObjectValue.q41bValoracion.q41bPerfilesValoracion,java.lang.String,java.lang.String)"
>
</method>
<method
    name="obtenerPerfilSolicitud(java.lang.String)"
>
</method>
<method
    name="obtenerPerfilMaximoValorable(int,int)"
>
</method>
<method
    name="obtenerPerfilMinimoValorable(int,int)"
>
</method>
<method
    name="modificarFicheroMerito(q41bObjectValue.q41bValoracion.q41bValoracionMeritos,q41bObjectValue.q41bValoracion.q41bValoracionMeritosFichero,q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent,q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent)"
>
</method>
<method
    name="eliminarFichero(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,q41bObjectValue.q41bValoracion.q41bValoracionMeritos,q41bObjectValue.q41bValoracion.q41bValoracionMeritosFichero)"
>
</method>
<method
    name="recuperaDocumento(q41bObjectValue.q41bSolicitudes.q41bSolicitudPersistent,q41bObjectValue.q41bValoracion.q41bValoracionMeritosFichero,javax.servlet.http.HttpServletResponse)"
>
</method>
<method
    name="obtenerPuntMaxAdmin(int,int,long)"
>
</method>
<method
    name="getEJBHome()"
>
</method>
<method
    name="getPrimaryKey()"
>
</method>
<method
    name="remove()"
>
</method>
<method
    name="getHandle()"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
